Subject: [Extra] Sieve Vacation question

From: Ken Murchison <[email-masked]>
Date: Tue, 31 Mar 2020 15:28:15 -0400

All,

Reading and re-reading Section 4.4 of RFC5230, I'm not sure if the :mime 
data is supposed to be inserted into the response message as-is (after 
To, From, Date, Subject, etc), or if it needs to be wrapped in another 
MIME entity.

In other words, is the complete outgoing message simply:

To: [email-masked]
From: [email-masked]
Subject: Automated Reply
Date: Tue, 31 Mar 2020 15:00:00 -0400
Auto-Submitted: auto-replied (vacation)
Content-Type: multipart/alternative; boundary=foo

--foo

I'm at the beach relaxing.  Mmmm, surf...

--foo
Content-Type: text/html; charset=us-ascii

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN"
  "http://www.w3.org/TR/REC-html40/strict.dtd">
<HTML><HEAD><TITLE>How to relax</TITLE>
<BASE HREF="http://home.example.com/pictures/"></HEAD>
<BODY><P>I'm at the <A HREF="beach.gif">beach</A> relaxing.
Mmmm, <A HREF="ocean.gif">surf</A>...
</BODY></HTML>

--foo--

-- 
Ken Murchison
Cyrus Development Team
Fastmail US LLC

---

From: Ned Freed <[email-masked]>
Date: Tue, 31 Mar 2020 12:45:09 -0700 (PDT)

I don't see anything in there saying to insert an extra entity level, so
no, there's no wrapping involved.

And as a practical matter, if you wrap the supplied example in either
a multipart/something or a message/rfc822, it's not going to work
correctly in some clients. 

				Ned

P.S. The reason it limits things to "MIME entity" is that way you can't specify
message headers, only MIME stuff, using this mechanism.

---

From: Ken Murchison <[email-masked]>
Date: Tue, 31 Mar 2020 15:55:12 -0400

Thanks for the quick response Ned.

-- 
Ken Murchison
Cyrus Development Team
Fastmail US LLC